com.dlsc.flexgantt.swing

## Class SortingEvent

- java.lang.Object
- - java.util.EventObject
  - - com.dlsc.flexgantt.swing.SortingEvent

- All Implemented Interfaces:
    Serializable

      public class SortingEvent
      extends EventObject

  An event object used in combination with the `ISortingListener` interface. The event object contains information about the sorting operation.
  Since:
    1.0
  Version:
    $Revision: 1.8 $
  Author:
    Dirk Lemmermann
  See Also:
    `AbstractGanttChart.addSortingListener(ISortingListener)`, Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SortingEvent.ID` An enumerator used to distinguish between different types of sorting events.

  - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortingEvent(AbstractGanttChart gc, SortingEvent.ID id)` Constructs a new sorting event object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractGanttChart` | `getGanttChart()` Returns the Gantt chart where the sorting operation takes place.
    `SortingEvent.ID` | `getId()` Returns the event identifier that can be used to differentiate between different types of events.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SortingEvent

          public SortingEvent(AbstractGanttChart gc,
                              SortingEvent.ID id)

      Constructs a new sorting event object.
      Parameters:
        `gc` - the source of the event (the sorted Gantt chart)
        `id` - an identifier used to differentiate between different types of events
      Since:
        1.0

  - ### Method Detail

    - #### getGanttChart

          public AbstractGanttChart getGanttChart()

      Returns the Gantt chart where the sorting operation takes place.
      Returns:
        the source of the event (the Gantt chart being sorted)
      Since:
        1.0

    - #### getId

          public SortingEvent.ID getId()

      Returns the event identifier that can be used to differentiate between different types of events.
      Returns:
        the event identifier
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.